<?php
require_once(getabspath("classes/cipherer.php"));
$tdataenconstruccion = array();
	$tdataenconstruccion[".NumberOfChars"] = 80; 
	$tdataenconstruccion[".ShortName"] = "enconstruccion";
	$tdataenconstruccion[".OwnerID"] = "";
	$tdataenconstruccion[".OriginalTable"] = "ciudad";

//	field labels
$fieldLabelsenconstruccion = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsenconstruccion["Spanish"] = array();
	$fieldToolTipsenconstruccion["Spanish"] = array();
	$fieldLabelsenconstruccion["Spanish"]["idciudad"] = "Idciudad";
	$fieldToolTipsenconstruccion["Spanish"]["idciudad"] = "";
	$fieldLabelsenconstruccion["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsenconstruccion["Spanish"]["nombre"] = "";
	if (count($fieldToolTipsenconstruccion["Spanish"]))
		$tdataenconstruccion[".isUseToolTips"] = true;
}
	
	
	$tdataenconstruccion[".NCSearch"] = true;



$tdataenconstruccion[".shortTableName"] = "enconstruccion";
$tdataenconstruccion[".nSecOptions"] = 0;
$tdataenconstruccion[".recsPerRowList"] = 1;
$tdataenconstruccion[".mainTableOwnerID"] = "";
$tdataenconstruccion[".moveNext"] = 1;
$tdataenconstruccion[".nType"] = 1;

$tdataenconstruccion[".strOriginalTableName"] = "ciudad";




$tdataenconstruccion[".showAddInPopup"] = false;

$tdataenconstruccion[".showEditInPopup"] = false;

$tdataenconstruccion[".showViewInPopup"] = false;

$tdataenconstruccion[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdataenconstruccion[".listAjax"] = true;
else 
	$tdataenconstruccion[".listAjax"] = false;

	$tdataenconstruccion[".audit"] = false;

	$tdataenconstruccion[".locking"] = false;





$tdataenconstruccion[".showSimpleSearchOptions"] = false;

$tdataenconstruccion[".showSearchPanel"] = true;

if (isMobile())
	$tdataenconstruccion[".isUseAjaxSuggest"] = false;
else 
	$tdataenconstruccion[".isUseAjaxSuggest"] = true;

$tdataenconstruccion[".rowHighlite"] = true;

// button handlers file names

$tdataenconstruccion[".addPageEvents"] = false;

// use timepicker for search panel
$tdataenconstruccion[".isUseTimeForSearch"] = false;




$tdataenconstruccion[".allSearchFields"] = array();


$tdataenconstruccion[".googleLikeFields"][] = "idciudad";
$tdataenconstruccion[".googleLikeFields"][] = "nombre";


$tdataenconstruccion[".advSearchFields"][] = "nombre";

$tdataenconstruccion[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdataenconstruccion[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataenconstruccion[".strOrderBy"] = $tstrOrderBy;

$tdataenconstruccion[".orderindexes"] = array();

$tdataenconstruccion[".sqlHead"] = "SELECT idciudad,   nombre";
$tdataenconstruccion[".sqlFrom"] = "FROM ciudad";
$tdataenconstruccion[".sqlWhereExpr"] = "";
$tdataenconstruccion[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataenconstruccion[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataenconstruccion[".arrGroupsPerPage"] = $arrGPP;

$tableKeysenconstruccion = array();
$tableKeysenconstruccion[] = "idciudad";
$tdataenconstruccion[".Keys"] = $tableKeysenconstruccion;

$tdataenconstruccion[".listFields"] = array();

$tdataenconstruccion[".viewFields"] = array();

$tdataenconstruccion[".addFields"] = array();

$tdataenconstruccion[".inlineAddFields"] = array();

$tdataenconstruccion[".editFields"] = array();

$tdataenconstruccion[".inlineEditFields"] = array();

$tdataenconstruccion[".exportFields"] = array();

$tdataenconstruccion[".printFields"] = array();

//	idciudad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idciudad";
	$fdata["GoodName"] = "idciudad";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Idciudad"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idciudad"; 
		$fdata["FullName"] = "idciudad";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataenconstruccion["idciudad"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataenconstruccion["nombre"] = $fdata;

	
$tables_data["enconstruccion"]=&$tdataenconstruccion;
$field_labels["enconstruccion"] = &$fieldLabelsenconstruccion;
$fieldToolTips["enconstruccion"] = &$fieldToolTipsenconstruccion;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["enconstruccion"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["enconstruccion"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_enconstruccion()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idciudad,   nombre";
$proto0["m_strFrom"] = "FROM ciudad";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idciudad",
	"m_strTable" => "ciudad"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "ciudad"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "ciudad";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idciudad";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_enconstruccion = createSqlQuery_enconstruccion();
		$tdataenconstruccion[".sqlquery"] = $queryData_enconstruccion;
	
if(isset($tdataenconstruccion["field2"])){
	$tdataenconstruccion["field2"]["LookupTable"] = "carscars_view";
	$tdataenconstruccion["field2"]["LookupOrderBy"] = "name";
	$tdataenconstruccion["field2"]["LookupType"] = 4;
	$tdataenconstruccion["field2"]["LinkField"] = "email";
	$tdataenconstruccion["field2"]["DisplayField"] = "name";
	$tdataenconstruccion[".hasCustomViewField"] = true;
}

$tableEvents["enconstruccion"] = new eventsBase;
$tdataenconstruccion[".hasEvents"] = false;

$cipherer = new RunnerCipherer("enconstruccion");

?>